// e01_drawings.cpp: Draw different shapes in the image
//
#include "opencv\cv.hpp"
#include <iostream>

using namespace cv;
using namespace std;

int main(int argc, char* argv[])
{
	// Objects
	Mat img_original, img_modified;
	// Load image from disk
	img_original = imread("lena.jpg");

	// Copy images-> 2 ways to copy: 
	//    img_original.clone()
	//    img_original.copyTo(img_modified)
	
	//img_modified = img_original.clone();
	img_original.copyTo(img_modified);
	
	if (!img_original.data){
		cout << "error loading image" << endl;
		return 1;
	}

	// Center of the image
	Point center(img_modified.rows / 2, img_modified.cols / 2);
	int radius = 25;

	// Draw a circle
	circle(img_modified, center, radius, Scalar(0, 255, 0));

	// Draw a line
	line(img_modified, center, Point(0,0), Scalar(255, 0, 0));

	// Draw a rectangle
	rectangle(img_modified, center, Point(img_modified.rows, 
			  img_modified.cols), Scalar(0, 0, 255));

	// Create window canvas to show image
	namedWindow("original", CV_WINDOW_AUTOSIZE);
	namedWindow("modified", CV_WINDOW_AUTOSIZE);

	// Show images
	imshow("original", img_original);
	imshow("modified", img_modified);

	// Function for show the image in ms.
	// 0 means wait until keyboard is pressed
	waitKey(0);

	// Free memory
	destroyWindow("original");
	destroyWindow("modified");
	// End of the program
	return 0;
}
